## FmPathBar FmPathBar — A widget for representing current path. |

## Functions

FmPath * | fm_path_bar_get_path ()
FmPathBar * | fm_path_bar_new ()
void | fm_path_bar_set_path ()

## Signals

void | chdir | Run First

## Types and Values

struct | FmPathBar
struct | FmPathBarClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkHBox
                                ╰── FmPathBar

## Implemented Interfaces

FmPathBar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

`include` : libfm/fm-gtk.h

The FmPathBar represents current path as number of buttons so it is possible to click buttons to change directory to parent or child.

## Functions

### fm_path_bar_get_path ()

    FmPath *
    fm_path_bar_get_path (FmPathBar *bar);

Retrieves current path from path bar. Returned data are owned by `bar` and should be not freed by caller.

#### Parameters

bar | a path bar widget |

#### Returns

current path.

[transfer none]

Since: 0.1.16

### fm_path_bar_new ()

    FmPathBar *
    fm_path_bar_new (void);

Creates new path bar.

#### Returns

a new FmPathBar object.

[transfer full]

Since: 0.1.16

### fm_path_bar_set_path ()

    void
    fm_path_bar_set_path (FmPathBar *bar,
                          FmPath *path);

Changes path for the `bar` .

#### Parameters

bar | a path bar widget |
path | a new path to set |

Since: 0.1.16

## Types and Values

### struct FmPathBar

    struct FmPathBar;

### struct FmPathBarClass

    struct FmPathBarClass {
        GtkHBoxClass parent_class;
        void (*chdir)(FmPathBar* bar, FmPath* path);
    };

#### Members

`chdir` () | the class closure for the “chdir” signal |

## Signal Details

### The `“chdir”` signal

    void
    user_function (FmPathBar *bar,
                   gpointer   path,
                   gpointer   user_data)

The FmPathBar::chdir signal is emitted when the user toggles a path element in the bar or when new path is set via `fm_path_bar_set_path()`.

#### Parameters

bar | the object which emitted the signal |
path | (FmPath *) new path |
user_data | user data set when the signal handler was connected. |

Flags: Run First

Since: 0.1.16